## org.mortbay.jetty.plus.naming
Class Resource

    java.lang.Object
      org.mortbay.jetty.plus.naming.NamingEntry
          org.mortbay.jetty.plus.naming.Resource

    public class Resource

extends NamingEntry

Resource

Field Summary

Fields inherited from class org.mortbay.jetty.plus.naming.NamingEntry
`absoluteObjectNameString, context, isGlobal, jndiName, namingEntryNameString, objectNameString, objectToBind, scope, SCOPE_GLOBAL, SCOPE_LOCAL`

Constructor Summary
`Resource(String jndiName, Object objToBind)`

Method Summary
`static Resource` `getResource(int scopeType, String jndiName)`

Methods inherited from class org.mortbay.jetty.plus.naming.NamingEntry
`bindToENC, bindToENC, bindToENC, exists, getJndiName, getObjectToBind, getScope, isGlobal, isLocal, lookupNamingEntries, lookupNamingEntry, release, setScope, unbindENC`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Resource

    public Resource(String jndiName,
                    Object objToBind)
             throws NamingException

Parameters:
  `jndiName` -
  `objToBind` -
Throws:
  `NamingException`

Method Detail

### getResource

    public static Resource getResource(int scopeType,
                                       String jndiName)
                                throws NamingException

  Throws:
    `NamingException`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.